Last Comment Bug 808545 - Tweak the exception message for runxpcshelltests.py profile cleanup failures
: Tweak the exception message for runxpcshelltests.py profile cleanup failures
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: XPCShell Harness (show other bugs)
: Trunk
: All All
: -- minor (vote)
: mozilla19
Assigned To: Ed Morley [:emorley]
:
Mentors:
Depends on: 793855
Blocks: 752243
  Show dependency treegraph
 
Reported: 2012-11-05 05:57 PST by Ed Morley [:emorley]
Modified: 2012-11-12 01:40 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch v1 (1.32 KB, patch)
2012-11-05 05:59 PST, Ed Morley [:emorley]
gps: review+
Details | Diff | Review

Description Ed Morley [:emorley] 2012-11-05 05:57:42 PST
At the moment we use:
sys.exc_info()[0]
...which gives us:
TEST-UNEXPECTED-FAIL | /builds/slave/talos-slave/test/build/xpcshell/tests/services/aitc/tests/unit/test_aitc_client.js | Failed to clean up the test profile directory: <type 'exceptions.OSError'>

I think it would be clearer to use:
sys.exc_info()[1]
...which should give us something like:
TEST-UNEXPECTED-FAIL | /builds/slave/talos-slave/test/build/xpcshell/tests/services/aitc/tests/unit/test_aitc_client.js | Failed to clean up the test profile directory: [Errno 13] Permission denied: '/var/folders/wq/fgxf4g514bn06sl6r8202x6r00000w/T/tmpGDAdQc/Cache'
Comment 1 Ed Morley [:emorley] 2012-11-05 05:59:34 PST
Created attachment 678288 [details] [diff] [review]
Patch v1
Comment 2 Ed Morley [:emorley] 2012-11-05 10:30:00 PST
Thank you for the review :-)

https://hg.mozilla.org/integration/mozilla-inbound/rev/0a6cb7947e07
Comment 3 Ed Morley [:emorley] 2012-11-06 06:13:36 PST
https://hg.mozilla.org/mozilla-central/rev/0a6cb7947e07

Note You need to log in before you can comment on or make changes to this bug.